package com.ruoyi.syzy.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 院校院系对象 b_busi_wish_universities_department
 * 
 * @author mingxue
 * @date 2022-06-22
 */
public class BBusiWishUniversitiesDepartment extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 院系ID */
    @Excel(name = "院系ID")
    private String departmentId;

    /** 学校编码 */
    @Excel(name = "学校编码")
    private String collegeCode;

    /** 院系专业数 */
    @Excel(name = "院系专业数")
    private Long majorCount;

    /** 院系名称 */
    @Excel(name = "院系名称")
    private String name;

    /** 网址 */
    @Excel(name = "网址")
    private String website;

    private List<BBusiWishUniversitiesDepartmentMajor> departmentMajor;

    public List<BBusiWishUniversitiesDepartmentMajor> getDepartmentMajor() {
        return departmentMajor;
    }

    public void setDepartmentMajor(List<BBusiWishUniversitiesDepartmentMajor> departmentMajor) {
        this.departmentMajor = departmentMajor;
    }

    public void setDepartmentId(String departmentId)
    {
        this.departmentId = departmentId;
    }

    public String getDepartmentId() 
    {
        return departmentId;
    }
    public BBusiWishUniversitiesDepartment setCollegeCode(String collegeCode)
    {
        this.collegeCode = collegeCode;
        return this;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setMajorCount(Long majorCount) 
    {
        this.majorCount = majorCount;
    }

    public Long getMajorCount() 
    {
        return majorCount;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setWebsite(String website) 
    {
        this.website = website;
    }

    public String getWebsite() 
    {
        return website;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("departmentId", getDepartmentId())
            .append("collegeCode", getCollegeCode())
            .append("majorCount", getMajorCount())
            .append("name", getName())
            .append("website", getWebsite())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
